diff -crBPN --exclude=wp-config.php --exclude=wordpress.sql --exclude=.htaccess-dist --exclude=wp-cache-config.php --exclude=htaccess-dist --exclude=wp-config.php --exclude=wordpress.sql --exclude=wp-cache-config.php --exclude=editor_plugin.js --exclude=jetpack --exclude=.files.list --exclude=wordpress-3.6.pl /home/packages/code/qi/SOURCES/wordpress-3.5.2/wp-admin/network/site-info.php /home/packages/code/qi/SOURCES/wordpress-3.6/wp-admin/network/site-info.php
*** /home/packages/code/qi/SOURCES/wordpress-3.5.2/wp-admin/network/site-info.php	2012-08-03 12:51:42.000000000 -0500
--- /home/packages/code/qi/SOURCES/wordpress-3.6/wp-admin/network/site-info.php	2013-03-01 11:14:09.000000000 -0600
***************
*** 62,68 ****
  	delete_option( 'rewrite_rules' );
  
  	// update blogs table
! 	$blog_data = stripslashes_deep( $_POST['blog'] );
  	$existing_details = get_blog_details( $id, false );
  	$blog_data_checkboxes = array( 'public', 'archived', 'spam', 'mature', 'deleted' );
  	foreach ( $blog_data_checkboxes as $c ) {
--- 62,68 ----
  	delete_option( 'rewrite_rules' );
  
  	// update blogs table
! 	$blog_data = wp_unslash( $_POST['blog'] );
  	$existing_details = get_blog_details( $id, false );
  	$blog_data_checkboxes = array( 'public', 'archived', 'spam', 'mature', 'deleted' );
  	foreach ( $blog_data_checkboxes as $c ) {
diff -crBPN --exclude=wp-config.php --exclude=wordpress.sql --exclude=.htaccess-dist --exclude=wp-cache-config.php --exclude=htaccess-dist --exclude=wp-config.php --exclude=wordpress.sql --exclude=wp-cache-config.php --exclude=editor_plugin.js --exclude=jetpack --exclude=.files.list --exclude=wordpress-3.6.pl /home/packages/code/qi/SOURCES/wordpress-3.5.2/wp-admin/network/site-new.php /home/packages/code/qi/SOURCES/wordpress-3.6/wp-admin/network/site-new.php
*** /home/packages/code/qi/SOURCES/wordpress-3.5.2/wp-admin/network/site-new.php	2012-11-19 00:11:42.000000000 -0600
--- /home/packages/code/qi/SOURCES/wordpress-3.6/wp-admin/network/site-new.php	2013-03-01 11:14:09.000000000 -0600
***************
*** 88,94 ****
  		$content_mail = sprintf( __( 'New site created by %1$s
  
  Address: %2$s
! Name: %3$s' ), $current_user->user_login , get_site_url( $id ), stripslashes( $title ) );
  		wp_mail( get_site_option('admin_email'), sprintf( __( '[%s] New Site Created' ), $current_site->site_name ), $content_mail, 'From: "Site Admin" <' . get_site_option( 'admin_email' ) . '>' );
  		wpmu_welcome_notification( $id, $user_id, $password, $title, array( 'public' => 1 ) );
  		wp_redirect( add_query_arg( array( 'update' => 'added', 'id' => $id ), 'site-new.php' ) );
--- 88,94 ----
  		$content_mail = sprintf( __( 'New site created by %1$s
  
  Address: %2$s
! Name: %3$s' ), $current_user->user_login , get_site_url( $id ), wp_unslash( $title ) );
  		wp_mail( get_site_option('admin_email'), sprintf( __( '[%s] New Site Created' ), $current_site->site_name ), $content_mail, 'From: "Site Admin" <' . get_site_option( 'admin_email' ) . '>' );
  		wpmu_welcome_notification( $id, $user_id, $password, $title, array( 'public' => 1 ) );
  		wp_redirect( add_query_arg( array( 'update' => 'added', 'id' => $id ), 'site-new.php' ) );
diff -crBPN --exclude=wp-config.php --exclude=wordpress.sql --exclude=.htaccess-dist --exclude=wp-cache-config.php --exclude=htaccess-dist --exclude=wp-config.php --exclude=wordpress.sql --exclude=wp-cache-config.php --exclude=editor_plugin.js --exclude=jetpack --exclude=.files.list --exclude=wordpress-3.6.pl /home/packages/code/qi/SOURCES/wordpress-3.5.2/wp-admin/network/site-settings.php /home/packages/code/qi/SOURCES/wordpress-3.6/wp-admin/network/site-settings.php
*** /home/packages/code/qi/SOURCES/wordpress-3.5.2/wp-admin/network/site-settings.php	2012-05-03 08:34:33.000000000 -0500
--- /home/packages/code/qi/SOURCES/wordpress-3.6/wp-admin/network/site-settings.php	2013-04-28 19:26:49.000000000 -0500
***************
*** 49,65 ****
  
  	switch_to_blog( $id );
  
- 	$c = 1;
- 	$count = count( $_POST['option'] );
  	$skip_options = array( 'allowedthemes' ); // Don't update these options since they are handled elsewhere in the form.
  	foreach ( (array) $_POST['option'] as $key => $val ) {
  		if ( $key === 0 || is_array( $val ) || in_array($key, $skip_options) )
  			continue; // Avoids "0 is a protected WP option and may not be modified" error when edit blog options
! 		if ( $c == $count )
! 			update_option( $key, stripslashes( $val ) );
! 		else
! 			update_option( $key, stripslashes( $val ), false ); // no need to refresh blog details yet
! 		$c++;
  	}
  
  	do_action( 'wpmu_update_blog_options' );
--- 49,61 ----
  
  	switch_to_blog( $id );
  
  	$skip_options = array( 'allowedthemes' ); // Don't update these options since they are handled elsewhere in the form.
  	foreach ( (array) $_POST['option'] as $key => $val ) {
+ 		$key = wp_unslash( $key );
+ 		$val = wp_unslash( $val );
  		if ( $key === 0 || is_array( $val ) || in_array($key, $skip_options) )
  			continue; // Avoids "0 is a protected WP option and may not be modified" error when edit blog options
! 		update_option( $key, $val );
  	}
  
  	do_action( 'wpmu_update_blog_options' );
***************
*** 121,127 ****
  			$class = 'all-options';
  			if ( is_serialized( $option->option_value ) ) {
  				if ( is_serialized_string( $option->option_value ) ) {
! 					$option->option_value = esc_html( maybe_unserialize( $option->option_value ), 'single' );
  				} else {
  					$option->option_value = 'SERIALIZED DATA';
  					$disabled = true;
--- 117,123 ----
  			$class = 'all-options';
  			if ( is_serialized( $option->option_value ) ) {
  				if ( is_serialized_string( $option->option_value ) ) {
! 					$option->option_value = esc_html( maybe_unserialize( $option->option_value ) );
  				} else {
  					$option->option_value = 'SERIALIZED DATA';
  					$disabled = true;
diff -crBPN --exclude=wp-config.php --exclude=wordpress.sql --exclude=.htaccess-dist --exclude=wp-cache-config.php --exclude=htaccess-dist --exclude=wp-config.php --exclude=wordpress.sql --exclude=wp-cache-config.php --exclude=editor_plugin.js --exclude=jetpack --exclude=.files.list --exclude=wordpress-3.6.pl /home/packages/code/qi/SOURCES/wordpress-3.5.2/wp-admin/network/sites.php /home/packages/code/qi/SOURCES/wordpress-3.6/wp-admin/network/sites.php
*** /home/packages/code/qi/SOURCES/wordpress-3.5.2/wp-admin/network/sites.php	2012-11-30 07:40:59.000000000 -0600
--- /home/packages/code/qi/SOURCES/wordpress-3.6/wp-admin/network/sites.php	2013-03-01 11:14:09.000000000 -0600
***************
*** 73,85 ****
  				?>
  			</head>
  			<body class="wp-core-ui">
! 				<h1 id="logo"><a href="<?php esc_attr_e( 'http://wordpress.org/' ); ?>"><?php _e( 'WordPress' ); ?></a></h1>
  				<form action="sites.php?action=<?php echo esc_attr( $_GET['action2'] ) ?>" method="post">
  					<input type="hidden" name="action" value="<?php echo esc_attr( $_GET['action2'] ) ?>" />
  					<input type="hidden" name="id" value="<?php echo esc_attr( $id ); ?>" />
  					<input type="hidden" name="_wp_http_referer" value="<?php echo esc_attr( wp_get_referer() ); ?>" />
  					<?php wp_nonce_field( $_GET['action2'], '_wpnonce', false ); ?>
! 					<p><?php echo esc_html( stripslashes( $_GET['msg'] ) ); ?></p>
  					<?php submit_button( __('Confirm'), 'button' ); ?>
  				</form>
  			</body>
--- 73,85 ----
  				?>
  			</head>
  			<body class="wp-core-ui">
! 				<h1 id="logo"><a href="<?php echo esc_url( __( 'http://wordpress.org/' ) ); ?>"><?php _e( 'WordPress' ); ?></a></h1>
  				<form action="sites.php?action=<?php echo esc_attr( $_GET['action2'] ) ?>" method="post">
  					<input type="hidden" name="action" value="<?php echo esc_attr( $_GET['action2'] ) ?>" />
  					<input type="hidden" name="id" value="<?php echo esc_attr( $id ); ?>" />
  					<input type="hidden" name="_wp_http_referer" value="<?php echo esc_attr( wp_get_referer() ); ?>" />
  					<?php wp_nonce_field( $_GET['action2'], '_wpnonce', false ); ?>
! 					<p><?php echo esc_html( wp_unslash( $_GET['msg'] ) ); ?></p>
  					<?php submit_button( __('Confirm'), 'button' ); ?>
  				</form>
  			</body>
diff -crBPN --exclude=wp-config.php --exclude=wordpress.sql --exclude=.htaccess-dist --exclude=wp-cache-config.php --exclude=htaccess-dist --exclude=wp-config.php --exclude=wordpress.sql --exclude=wp-cache-config.php --exclude=editor_plugin.js --exclude=jetpack --exclude=.files.list --exclude=wordpress-3.6.pl /home/packages/code/qi/SOURCES/wordpress-3.5.2/wp-admin/network/site-users.php /home/packages/code/qi/SOURCES/wordpress-3.6/wp-admin/network/site-users.php
*** /home/packages/code/qi/SOURCES/wordpress-3.5.2/wp-admin/network/site-users.php	2012-09-18 18:06:22.000000000 -0500
--- /home/packages/code/qi/SOURCES/wordpress-3.6/wp-admin/network/site-users.php	2013-06-25 09:24:18.000000000 -0500
***************
*** 85,96 ****
  			if ( !empty( $_POST['newuser'] ) ) {
  				$update = 'adduser';
  				$newuser = $_POST['newuser'];
! 				$userid = $wpdb->get_var( $wpdb->prepare( "SELECT ID FROM " . $wpdb->users . " WHERE user_login = %s", $newuser ) );
! 				if ( $userid ) {
! 					$blog_prefix = $wpdb->get_blog_prefix( $id );
! 					$user = $wpdb->get_var( "SELECT user_id FROM " . $wpdb->usermeta . " WHERE user_id='$userid' AND meta_key='{$blog_prefix}capabilities'" );
! 					if ( $user == false )
! 						add_user_to_blog( $id, $userid, $_POST['new_role'] );
  					else
  						$update = 'err_add_member';
  				} else {
--- 85,94 ----
  			if ( !empty( $_POST['newuser'] ) ) {
  				$update = 'adduser';
  				$newuser = $_POST['newuser'];
! 				$user = get_user_by( 'login', $newuser );
! 				if ( $user && $user->exists() ) {
! 					if ( ! is_user_member_of_blog( $user->ID, $id ) )
! 						add_user_to_blog( $id, $user->ID, $_POST['new_role'] );
  					else
  						$update = 'err_add_member';
  				} else {
diff -crBPN --exclude=wp-config.php --exclude=wordpress.sql --exclude=.htaccess-dist --exclude=wp-cache-config.php --exclude=htaccess-dist --exclude=wp-config.php --exclude=wordpress.sql --exclude=wp-cache-config.php --exclude=editor_plugin.js --exclude=jetpack --exclude=.files.list --exclude=wordpress-3.6.pl /home/packages/code/qi/SOURCES/wordpress-3.5.2/wp-admin/network/themes.php /home/packages/code/qi/SOURCES/wordpress-3.6/wp-admin/network/themes.php
*** /home/packages/code/qi/SOURCES/wordpress-3.5.2/wp-admin/network/themes.php	2012-09-28 20:36:14.000000000 -0500
--- /home/packages/code/qi/SOURCES/wordpress-3.6/wp-admin/network/themes.php	2013-07-05 10:15:58.000000000 -0500
***************
*** 220,225 ****
--- 220,227 ----
  $title = __('Themes');
  $parent_file = 'themes.php';
  
+ wp_enqueue_script( 'theme' );
+ 
  require_once(ABSPATH . 'wp-admin/admin-header.php');
  
  ?>
diff -crBPN --exclude=wp-config.php --exclude=wordpress.sql --exclude=.htaccess-dist --exclude=wp-cache-config.php --exclude=htaccess-dist --exclude=wp-config.php --exclude=wordpress.sql --exclude=wp-cache-config.php --exclude=editor_plugin.js --exclude=jetpack --exclude=.files.list --exclude=wordpress-3.6.pl /home/packages/code/qi/SOURCES/wordpress-3.5.2/wp-admin/network/upgrade.php /home/packages/code/qi/SOURCES/wordpress-3.6/wp-admin/network/upgrade.php
*** /home/packages/code/qi/SOURCES/wordpress-3.5.2/wp-admin/network/upgrade.php	2012-08-03 12:51:42.000000000 -0500
--- /home/packages/code/qi/SOURCES/wordpress-3.6/wp-admin/network/upgrade.php	2013-03-05 11:02:31.000000000 -0600
***************
*** 15,35 ****
  
  require_once( ABSPATH . WPINC . '/http.php' );
  
! $title = __( 'Update Network' );
  $parent_file = 'upgrade.php';
  
  get_current_screen()->add_help_tab( array(
  	'id'      => 'overview',
  	'title'   => __('Overview'),
  	'content' =>
! 		'<p>' . __('Only use this screen once you have updated to a new version of WordPress through Updates/Available Updates (via the Network Administration navigation menu or the Toolbar). Clicking the Update Network button will step through each site in the network, five at a time, and make sure any database updates are applied.') . '</p>' .
  		'<p>' . __('If a version update to core has not happened, clicking this button won&#8217;t affect anything.') . '</p>' .
  		'<p>' . __('If this process fails for any reason, users logging in to their sites will force the same update.') . '</p>'
  ) );
  
  get_current_screen()->set_help_sidebar(
  	'<p><strong>' . __('For more information:') . '</strong></p>' .
! 	'<p>' . __('<a href="http://codex.wordpress.org/Network_Admin_Updates_Screen" target="_blank">Documentation on Update Network</a>') . '</p>' .
  	'<p>' . __('<a href="http://wordpress.org/support/" target="_blank">Support Forums</a>') . '</p>'
  );
  
--- 15,35 ----
  
  require_once( ABSPATH . WPINC . '/http.php' );
  
! $title = __( 'Upgrade Network' );
  $parent_file = 'upgrade.php';
  
  get_current_screen()->add_help_tab( array(
  	'id'      => 'overview',
  	'title'   => __('Overview'),
  	'content' =>
! 		'<p>' . __('Only use this screen once you have updated to a new version of WordPress through Updates/Available Updates (via the Network Administration navigation menu or the Toolbar). Clicking the Upgrade Network button will step through each site in the network, five at a time, and make sure any database updates are applied.') . '</p>' .
  		'<p>' . __('If a version update to core has not happened, clicking this button won&#8217;t affect anything.') . '</p>' .
  		'<p>' . __('If this process fails for any reason, users logging in to their sites will force the same update.') . '</p>'
  ) );
  
  get_current_screen()->set_help_sidebar(
  	'<p><strong>' . __('For more information:') . '</strong></p>' .
! 	'<p>' . __('<a href="http://codex.wordpress.org/Network_Admin_Updates_Screen" target="_blank">Documentation on Upgrade Network</a>') . '</p>' .
  	'<p>' . __('<a href="http://wordpress.org/support/" target="_blank">Support Forums</a>') . '</p>'
  );
  
***************
*** 40,46 ****
  
  echo '<div class="wrap">';
  screen_icon('tools');
! echo '<h2>' . __( 'Update Network' ) . '</h2>';
  
  $action = isset($_GET['action']) ? $_GET['action'] : 'show';
  
--- 40,46 ----
  
  echo '<div class="wrap">';
  screen_icon('tools');
! echo '<h2>' . __( 'Upgrade Network' ) . '</h2>';
  
  $action = isset($_GET['action']) ? $_GET['action'] : 'show';
  
***************
*** 84,91 ****
  	break;
  	case 'show':
  	default:
! 		?><p><?php _e( 'You can update all the sites on your network through this page. It works by calling the update script of each site automatically. Hit the link below to update.' ); ?></p>
! 		<p><a class="button" href="upgrade.php?action=upgrade"><?php _e("Update Network"); ?></a></p><?php
  		do_action( 'wpmu_upgrade_page' );
  	break;
  }
--- 84,95 ----
  	break;
  	case 'show':
  	default:
! 		?>
! 		<h3><?php _e( 'Database Upgrade Required' ); ?></h3>
! 		<p><?php _e( 'WordPress has been updated! Before we send you on your way, we need to individually upgrade the sites in your network.' ); ?></p>
! 		<p><?php _e( 'The upgrade process may take a little while, so please be patient.' ); ?></p>
! 		<p><a class="button" href="upgrade.php?action=upgrade"><?php _e( 'Upgrade Network' ); ?></a></p>
! 		<?php
  		do_action( 'wpmu_upgrade_page' );
  	break;
  }
diff -crBPN --exclude=wp-config.php --exclude=wordpress.sql --exclude=.htaccess-dist --exclude=wp-cache-config.php --exclude=htaccess-dist --exclude=wp-config.php --exclude=wordpress.sql --exclude=wp-cache-config.php --exclude=editor_plugin.js --exclude=jetpack --exclude=.files.list --exclude=wordpress-3.6.pl /home/packages/code/qi/SOURCES/wordpress-3.5.2/wp-admin/network/user-new.php /home/packages/code/qi/SOURCES/wordpress-3.6/wp-admin/network/user-new.php
*** /home/packages/code/qi/SOURCES/wordpress-3.5.2/wp-admin/network/user-new.php	2012-01-08 11:01:11.000000000 -0600
--- /home/packages/code/qi/SOURCES/wordpress-3.6/wp-admin/network/user-new.php	2013-05-29 18:35:13.000000000 -0500
***************
*** 1,6 ****
  <?php
  /**
!  * Add Site Administration Screen
   *
   * @package WordPress
   * @subpackage Multisite
--- 1,6 ----
  <?php
  /**
!  * Add New User network administration panel.
   *
   * @package WordPress
   * @subpackage Multisite
diff -crBPN --exclude=wp-config.php --exclude=wordpress.sql --exclude=.htaccess-dist --exclude=wp-cache-config.php --exclude=htaccess-dist --exclude=wp-config.php --exclude=wordpress.sql --exclude=wp-cache-config.php --exclude=editor_plugin.js --exclude=jetpack --exclude=.files.list --exclude=wordpress-3.6.pl /home/packages/code/qi/SOURCES/wordpress-3.5.2/wp-admin/network.php /home/packages/code/qi/SOURCES/wordpress-3.6/wp-admin/network.php
*** /home/packages/code/qi/SOURCES/wordpress-3.5.2/wp-admin/network.php	2013-01-10 02:10:14.000000000 -0600
--- /home/packages/code/qi/SOURCES/wordpress-3.6/wp-admin/network.php	2013-07-10 16:57:15.000000000 -0500
***************
*** 314,320 ****
  	$base              = parse_url( $slashed_home, PHP_URL_PATH );
  	$document_root_fix = str_replace( '\\', '/', realpath( $_SERVER['DOCUMENT_ROOT'] ) );
  	$abspath_fix       = str_replace( '\\', '/', ABSPATH );
! 	$home_path         = 0 === strpos( $abspath_fix, $document_root_fix ) ? $document_root_fix . $base : str_replace( '\\', '/', get_home_path() );
  	$wp_siteurl_subdir = preg_replace( '#^' . preg_quote( $home_path, '#' ) . '#', '', $abspath_fix );
  	$rewrite_base      = ! empty( $wp_siteurl_subdir ) ? ltrim( trailingslashit( $wp_siteurl_subdir ), '/' ) : '';
  
--- 314,320 ----
  	$base              = parse_url( $slashed_home, PHP_URL_PATH );
  	$document_root_fix = str_replace( '\\', '/', realpath( $_SERVER['DOCUMENT_ROOT'] ) );
  	$abspath_fix       = str_replace( '\\', '/', ABSPATH );
! 	$home_path         = 0 === strpos( $abspath_fix, $document_root_fix ) ? $document_root_fix . $base : get_home_path();
  	$wp_siteurl_subdir = preg_replace( '#^' . preg_quote( $home_path, '#' ) . '#', '', $abspath_fix );
  	$rewrite_base      = ! empty( $wp_siteurl_subdir ) ? ltrim( trailingslashit( $wp_siteurl_subdir ), '/' ) : '';
  
***************
*** 374,381 ****
  define('DOMAIN_CURRENT_SITE', '<?php echo $hostname; ?>');
  define('PATH_CURRENT_SITE', '<?php echo $base; ?>');
  define('SITE_ID_CURRENT_SITE', 1);
! define('BLOG_ID_CURRENT_SITE', 1);
! </textarea>
  <?php
  	$keys_salts = array( 'AUTH_KEY' => '', 'SECURE_AUTH_KEY' => '', 'LOGGED_IN_KEY' => '', 'NONCE_KEY' => '', 'AUTH_SALT' => '', 'SECURE_AUTH_SALT' => '', 'LOGGED_IN_SALT' => '', 'NONCE_SALT' => '' );
  	foreach ( $keys_salts as $c => $v ) {
--- 374,380 ----
  define('DOMAIN_CURRENT_SITE', '<?php echo $hostname; ?>');
  define('PATH_CURRENT_SITE', '<?php echo $base; ?>');
  define('SITE_ID_CURRENT_SITE', 1);
! define('BLOG_ID_CURRENT_SITE', 1);</textarea>
  <?php
  	$keys_salts = array( 'AUTH_KEY' => '', 'SECURE_AUTH_KEY' => '', 'LOGGED_IN_KEY' => '', 'NONCE_KEY' => '', 'AUTH_SALT' => '', 'SECURE_AUTH_SALT' => '', 'LOGGED_IN_SALT' => '', 'NONCE_SALT' => '' );
  	foreach ( $keys_salts as $c => $v ) {
***************
*** 520,526 ****
  	$base              = parse_url( trailingslashit( get_option( 'home' ) ), PHP_URL_PATH );
  	$subdomain_install = allow_subdomain_install() ? !empty( $_POST['subdomain_install'] ) : false;
  	if ( ! network_domain_check() ) {
! 		$result = populate_network( 1, get_clean_basedomain(), sanitize_email( $_POST['email'] ), stripslashes( $_POST['sitename'] ), $base, $subdomain_install );
  		if ( is_wp_error( $result ) ) {
  			if ( 1 == count( $result->get_error_codes() ) && 'no_wildcard_dns' == $result->get_error_code() )
  				network_step2( $result );
--- 519,525 ----
  	$base              = parse_url( trailingslashit( get_option( 'home' ) ), PHP_URL_PATH );
  	$subdomain_install = allow_subdomain_install() ? !empty( $_POST['subdomain_install'] ) : false;
  	if ( ! network_domain_check() ) {
! 		$result = populate_network( 1, get_clean_basedomain(), sanitize_email( $_POST['email'] ), wp_unslash( $_POST['sitename'] ), $base, $subdomain_install );
  		if ( is_wp_error( $result ) ) {
  			if ( 1 == count( $result->get_error_codes() ) && 'no_wildcard_dns' == $result->get_error_code() )
  				network_step2( $result );
diff -crBPN --exclude=wp-config.php --exclude=wordpress.sql --exclude=.htaccess-dist --exclude=wp-cache-config.php --exclude=htaccess-dist --exclude=wp-config.php --exclude=wordpress.sql --exclude=wp-cache-config.php --exclude=editor_plugin.js --exclude=jetpack --exclude=.files.list --exclude=wordpress-3.6.pl /home/packages/code/qi/SOURCES/wordpress-3.5.2/wp-admin/options-discussion.php /home/packages/code/qi/SOURCES/wordpress-3.6/wp-admin/options-discussion.php
*** /home/packages/code/qi/SOURCES/wordpress-3.5.2/wp-admin/options-discussion.php	2012-09-26 01:44:26.000000000 -0500
--- /home/packages/code/qi/SOURCES/wordpress-3.6/wp-admin/options-discussion.php	2013-04-16 15:19:29.000000000 -0500
***************
*** 164,170 ****
  <?php do_settings_fields('discussion', 'default'); ?>
  </table>
  
! <h3><?php _e('Avatars'); ?></h3>
  
  <p><?php _e('An avatar is an image that follows you from weblog to weblog appearing beside your name when you comment on avatar enabled sites. Here you can enable the display of avatars for people who comment on your site.'); ?></p>
  
--- 164,170 ----
  <?php do_settings_fields('discussion', 'default'); ?>
  </table>
  
! <h3 class="title"><?php _e('Avatars'); ?></h3>
  
  <p><?php _e('An avatar is an image that follows you from weblog to weblog appearing beside your name when you comment on avatar enabled sites. Here you can enable the display of avatars for people who comment on your site.'); ?></p>
  
diff -crBPN --exclude=wp-config.php --exclude=wordpress.sql --exclude=.htaccess-dist --exclude=wp-cache-config.php --exclude=htaccess-dist --exclude=wp-config.php --exclude=wordpress.sql --exclude=wp-cache-config.php --exclude=editor_plugin.js --exclude=jetpack --exclude=.files.list --exclude=wordpress-3.6.pl /home/packages/code/qi/SOURCES/wordpress-3.5.2/wp-admin/options-head.php /home/packages/code/qi/SOURCES/wordpress-3.6/wp-admin/options-head.php
*** /home/packages/code/qi/SOURCES/wordpress-3.5.2/wp-admin/options-head.php	2012-01-08 11:01:11.000000000 -0600
--- /home/packages/code/qi/SOURCES/wordpress-3.6/wp-admin/options-head.php	2013-03-01 11:14:09.000000000 -0600
***************
*** 2,15 ****
  /**
   * WordPress Options Header.
   *
!  * Resets variables: 'action', 'standalone', and 'option_group_id'. Displays
!  * updated message, if updated variable is part of the URL query.
   *
   * @package WordPress
   * @subpackage Administration
   */
  
! wp_reset_vars(array('action', 'standalone', 'option_group_id'));
  
  if ( isset( $_GET['updated'] ) && isset( $_GET['page'] ) ) {
  	// For backwards compat with plugins that don't use the Settings API and just set updated=1 in the redirect
--- 2,14 ----
  /**
   * WordPress Options Header.
   *
!  * Displays updated message, if updated variable is part of the URL query.
   *
   * @package WordPress
   * @subpackage Administration
   */
  
! wp_reset_vars( array( 'action' ) );
  
  if ( isset( $_GET['updated'] ) && isset( $_GET['page'] ) ) {
  	// For backwards compat with plugins that don't use the Settings API and just set updated=1 in the redirect
diff -crBPN --exclude=wp-config.php --exclude=wordpress.sql --exclude=.htaccess-dist --exclude=wp-cache-config.php --exclude=htaccess-dist --exclude=wp-config.php --exclude=wordpress.sql --exclude=wp-cache-config.php --exclude=editor_plugin.js --exclude=jetpack --exclude=.files.list --exclude=wordpress-3.6.pl /home/packages/code/qi/SOURCES/wordpress-3.5.2/wp-admin/options-media.php /home/packages/code/qi/SOURCES/wordpress-3.6/wp-admin/options-media.php
*** /home/packages/code/qi/SOURCES/wordpress-3.5.2/wp-admin/options-media.php	2012-12-09 12:02:16.000000000 -0600
--- /home/packages/code/qi/SOURCES/wordpress-3.6/wp-admin/options-media.php	2013-04-16 15:19:29.000000000 -0500
***************
*** 46,52 ****
  <form action="options.php" method="post">
  <?php settings_fields('media'); ?>
  
! <h3><?php _e('Image sizes') ?></h3>
  <p><?php _e('The sizes listed below determine the maximum dimensions in pixels to use when inserting an image into the body of a post.'); ?></p>
  
  <table class="form-table">
--- 46,52 ----
  <form action="options.php" method="post">
  <?php settings_fields('media'); ?>
  
! <h3 class="title"><?php _e('Image sizes') ?></h3>
  <p><?php _e('The sizes listed below determine the maximum dimensions in pixels to use when inserting an image into the body of a post.'); ?></p>
  
  <table class="form-table">
***************
*** 86,99 ****
  </table>
  
  <?php if ( isset( $GLOBALS['wp_settings']['media']['embeds'] ) ) : ?>
! <h3><?php _e('Embeds') ?></h3>
  <table class="form-table">
  <?php do_settings_fields( 'media', 'embeds' ); ?>
  </table>
  <?php endif; ?>
  
  <?php if ( !is_multisite() ) : ?>
! <h3><?php _e('Uploading Files'); ?></h3>
  <table class="form-table">
  <?php
  // If upload_url_path is not the default (empty), and upload_path is not the default ('wp-content/uploads' or empty)
--- 86,99 ----
  </table>
  
  <?php if ( isset( $GLOBALS['wp_settings']['media']['embeds'] ) ) : ?>
! <h3 class="title"><?php _e('Embeds') ?></h3>
  <table class="form-table">
  <?php do_settings_fields( 'media', 'embeds' ); ?>
  </table>
  <?php endif; ?>
  
  <?php if ( !is_multisite() ) : ?>
! <h3 class="title"><?php _e('Uploading Files'); ?></h3>
  <table class="form-table">
  <?php
  // If upload_url_path is not the default (empty), and upload_path is not the default ('wp-content/uploads' or empty)
diff -crBPN --exclude=wp-config.php --exclude=wordpress.sql --exclude=.htaccess-dist --exclude=wp-cache-config.php --exclude=htaccess-dist --exclude=wp-config.php --exclude=wordpress.sql --exclude=wp-cache-config.php --exclude=editor_plugin.js --exclude=jetpack --exclude=.files.list --exclude=wordpress-3.6.pl /home/packages/code/qi/SOURCES/wordpress-3.5.2/wp-admin/options-permalink.php /home/packages/code/qi/SOURCES/wordpress-3.6/wp-admin/options-permalink.php
*** /home/packages/code/qi/SOURCES/wordpress-3.5.2/wp-admin/options-permalink.php	2012-11-29 18:01:26.000000000 -0600
--- /home/packages/code/qi/SOURCES/wordpress-3.6/wp-admin/options-permalink.php	2013-05-22 12:58:10.000000000 -0500
***************
*** 71,78 ****
  }
  add_filter('admin_head', 'options_permalink_add_js');
  
- include('./admin-header.php');
- 
  $home_path = get_home_path();
  $iis7_permalinks = iis7_supports_permalinks();
  
--- 71,76 ----
***************
*** 115,121 ****
  		$wp_rewrite->set_tag_base( $tag_base );
  	}
  
! 	create_initial_taxonomies();
  }
  
  $permalink_structure = get_option('permalink_structure');
--- 113,120 ----
  		$wp_rewrite->set_tag_base( $tag_base );
  	}
  
! 	wp_redirect( admin_url( 'options-permalink.php?settings-updated=true' ) );
! 	exit;
  }
  
  $permalink_structure = get_option('permalink_structure');
***************
*** 141,147 ****
  
  flush_rewrite_rules();
  
! if (isset($_POST['submit'])) : ?>
  <div id="message" class="updated"><p><?php
  if ( ! is_multisite() ) {
  	if ( $iis7_permalinks ) {
--- 140,148 ----
  
  flush_rewrite_rules();
  
! require( ABSPATH . 'wp-admin/admin-header.php' );
! 
! if ( ! empty( $_GET['settings-updated'] ) ) : ?>
  <div id="message" class="updated"><p><?php
  if ( ! is_multisite() ) {
  	if ( $iis7_permalinks ) {
***************
*** 188,194 ****
  	4 => $prefix . '/%postname%/',
  );
  ?>
! <h3><?php _e('Common Settings'); ?></h3>
  <table class="form-table permalink-structure">
  	<tr>
  		<th><label><input name="selection" type="radio" value="" <?php checked('', $permalink_structure); ?> /> <?php _e('Default'); ?></label></th>
--- 189,195 ----
  	4 => $prefix . '/%postname%/',
  );
  ?>
! <h3 class="title"><?php _e('Common Settings'); ?></h3>
  <table class="form-table permalink-structure">
  	<tr>
  		<th><label><input name="selection" type="radio" value="" <?php checked('', $permalink_structure); ?> /> <?php _e('Default'); ?></label></th>
***************
*** 223,233 ****
  	</tr>
  </table>
  
! <h3><?php _e('Optional'); ?></h3>
  <?php
  $suffix = '';
  if ( ! $is_apache && ! $iis7_permalinks )
! 	$suffix = 'index.php/';
  ?>
  <p><?php
  /* translators: %s is a placeholder that must come at the start of the URL path. */
--- 224,234 ----
  	</tr>
  </table>
  
! <h3 class="title"><?php _e('Optional'); ?></h3>
  <?php
  $suffix = '';
  if ( ! $is_apache && ! $iis7_permalinks )
! 	$suffix = $wp_rewrite->index . '/';
  ?>
  <p><?php
  /* translators: %s is a placeholder that must come at the start of the URL path. */
diff -crBPN --exclude=wp-config.php --exclude=wordpress.sql --exclude=.htaccess-dist --exclude=wp-cache-config.php --exclude=htaccess-dist --exclude=wp-config.php --exclude=wordpress.sql --exclude=wp-cache-config.php --exclude=editor_plugin.js --exclude=jetpack --exclude=.files.list --exclude=wordpress-3.6.pl /home/packages/code/qi/SOURCES/wordpress-3.5.2/wp-admin/options.php /home/packages/code/qi/SOURCES/wordpress-3.6/wp-admin/options.php
*** /home/packages/code/qi/SOURCES/wordpress-3.5.2/wp-admin/options.php	2012-11-18 19:28:32.000000000 -0600
--- /home/packages/code/qi/SOURCES/wordpress-3.6/wp-admin/options.php	2013-03-01 11:14:09.000000000 -0600
***************
*** 120,135 ****
  	if ( 'options' == $option_page ) {
  		if ( is_multisite() && ! is_super_admin() )
  			wp_die( __( 'You do not have sufficient permissions to modify unregistered settings for this site.' ) );
! 		$options = explode( ',', stripslashes( $_POST[ 'page_options' ] ) );
  	} else {
  		$options = $whitelist_options[ $option_page ];
  	}
  
  	// Handle custom date/time formats
  	if ( 'general' == $option_page ) {
! 		if ( !empty($_POST['date_format']) && isset($_POST['date_format_custom']) && '\c\u\s\t\o\m' == stripslashes( $_POST['date_format'] ) )
  			$_POST['date_format'] = $_POST['date_format_custom'];
! 		if ( !empty($_POST['time_format']) && isset($_POST['time_format_custom']) && '\c\u\s\t\o\m' == stripslashes( $_POST['time_format'] ) )
  			$_POST['time_format'] = $_POST['time_format_custom'];
  		// Map UTC+- timezones to gmt_offsets and set timezone_string to empty.
  		if ( !empty($_POST['timezone_string']) && preg_match('/^UTC[+-]/', $_POST['timezone_string']) ) {
--- 120,135 ----
  	if ( 'options' == $option_page ) {
  		if ( is_multisite() && ! is_super_admin() )
  			wp_die( __( 'You do not have sufficient permissions to modify unregistered settings for this site.' ) );
! 		$options = explode( ',', wp_unslash( $_POST[ 'page_options' ] ) );
  	} else {
  		$options = $whitelist_options[ $option_page ];
  	}
  
  	// Handle custom date/time formats
  	if ( 'general' == $option_page ) {
! 		if ( !empty($_POST['date_format']) && isset($_POST['date_format_custom']) && '\c\u\s\t\o\m' == wp_unslash( $_POST['date_format'] ) )
  			$_POST['date_format'] = $_POST['date_format_custom'];
! 		if ( !empty($_POST['time_format']) && isset($_POST['time_format_custom']) && '\c\u\s\t\o\m' == wp_unslash( $_POST['time_format'] ) )
  			$_POST['time_format'] = $_POST['time_format_custom'];
  		// Map UTC+- timezones to gmt_offsets and set timezone_string to empty.
  		if ( !empty($_POST['timezone_string']) && preg_match('/^UTC[+-]/', $_POST['timezone_string']) ) {
***************
*** 150,156 ****
  				$value = $_POST[ $option ];
  				if ( ! is_array( $value ) )
  					$value = trim( $value );
! 				$value = stripslashes_deep( $value );
  			}
  			update_option( $option, $value );
  		}
--- 150,156 ----
  				$value = $_POST[ $option ];
  				if ( ! is_array( $value ) )
  					$value = trim( $value );
! 				$value = wp_unslash( $value );
  			}
  			update_option( $option, $value );
  		}
